// SDI.h : main header file for the SDI DLL
//

#if !defined(SDI_H_INCLUDED_)
#define SDI_H_INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "SDIClass.h"

#undef DECL
#ifdef SDI_DLL
#define DECL _declspec(dllexport)
#else
#define DECL _declspec(dllimport)
#endif

// The global dll info structure.
extern AFX_EXTENSION_MODULE SDIDLL;

extern "C" LPCTSTR DECL GetSDIVersion();
extern "C" LPCTSTR DECL GetSDIPath();

// Points to the one and only CSDIcomm object once intialized.
extern CSDIcomm* SDI;

#endif // !defined(SDI_H_INCLUDED_)
