// WaitCursor.h: replacement for CWaitCursor which no longer functions in CE6
//

#pragma once

#undef DECL
#if defined(_AFXDLL) || defined(XPERT_EXE)
#ifdef UTILS_DLL
#define DECL _declspec(dllexport)
#else
#define DECL _declspec(dllimport)
#endif
#else
#define DECL 
#endif

extern "C" int APIENTRY DllMain(HANDLE hInstance, DWORD dwReason, LPVOID lpReserved);

class DECL TWaitCursor
{
public:
   TWaitCursor()  { TWaitCursor::BeginWaitCursor(); };
   ~TWaitCursor() { TWaitCursor::EndWaitCursor();   };
   static void BeginWaitCursor();
   static void EndWaitCursor();
private:
   friend int APIENTRY DllMain(HANDLE hInstance, DWORD dwReason, LPVOID lpReserved);
   static void Init();
   static void Cleanup();
};
